Subject: Get Acai Berry working for you with your Free Trial of Acai Flush.

From: [email-masked]
Date: Wed, 15 Jul 2009 12:49:45 -0400

Lose weight fast and best of all keep it off. Make a visit http://aidnazho.cn

best regards Davon Coon